
WND_TYPE_TOP		EQU	0		; MDI child also
WND_TYPE_ICON		EQU	1

WND_TYPE_BUTTON		EQU	10
WND_TYPE_CHECKBOX	EQU	11

WND_TYPE_EDIT		EQU	20

WND_TYPE_SCROLL_VERT	EQU	30
WND_TYPE_SCROLL_HORIZ	EQU	31

WND_TYPE_LIST_BOX	EQU	40

;--------------------------------------------
; Window Flags defined
; to be continued
;--------------------------------------------
FLAG_WND_ALPHA			EQU	1h	;translucent
FLAG_WND_HIDDEN			EQU	2h
FLAG_WND_NO_MOVE		EQU	4h
FLAG_WND_NO_RESIZE		EQU	8h

FLAG_WND_LEFT			EQU	10h
FLAG_WND_RIGHT			EQU	20h
FLAG_WND_NO_CAPTION		EQU	40h	;not used
FLAG_WND_MINI			EQU	80h

FLAG_WND_NO_CLOSE		EQU	100h	;not used
FLAG_WND_NO_EDGE		EQU	200h	;not used
FLAG_WND_NO_CLIENT_EDGE		EQU	400h	;not used
FLAG_WND_DISABLED		EQU	800h

; move limitations
FLAG_WND_NO_MOVE_X		EQU	1000h
FLAG_WND_NO_MOVE_Y		EQU	2000h

; some anchor types :)
FLAG_WND_KEEP_RIGHT		EQU	4000h
FLAG_WND_KEEP_BOTTOM		EQU	8000h
FLAG_WND_KEEP_DX		EQU	10000h
FLAG_WND_KEEP_DY		EQU	20000h
